#!/bin/sh
#
# Simulate 1 MB transfer with or without cwnd quarter bug
#
usage()
{
    echo "usage: $0 (false|true) [log_file]" 1>&2
    exit 1
}

[ -z "$3" ] || usage
[ "$1" != false -a "$1" != true ] && usage

opt=
$1 && opt=-DALTERNATE_TCP_CWND_DOWN
title="With cwnd quarter bug"
$1 && title="Work-around for cwnd quarter bug"

if [ -z "$2" ]; then
    cd ..
    setsid sim/umlsim -K -T $opt run/tcp-quarter.umlsim
    killall -9 uml_switch
    stty sane
    cd paper
fi

../run/tcplog.pl \
  -i -p -m -y 0:40 -y2 0:1150000 -x 0:105 -c "set size 0.5,0.5" \
  -c 'set y2tics ("0" 0,"200kB" 200*1024,"400kB" 400*1024,"600kB" 600*1024,"800kB" 800*1024,"1MB" 1024*1024)' \
  -c "set ytics nomirror" -c 'set title "'"$title"'"' \
  -r backlog -r snd_nxt -s lost=linespoints \
  ${2:-../log}
